%define svnrev 66195

Summary:	Expedite Evas benchmark/test suite
Name:		expedite
Version:	1.1.1
Release:	0.%{svnrev}.1
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL:		http://www.enlightenment.org/
Source0:	ftp://ftp.enlightenment.org/pub/enlightenment/%{name}-%{version}.%{svnrev}.tar.xz
Source1:	%{name}.desktop

BuildRequires:	desktop-file-utils
BuildRequires:	imagemagick
BuildRequires:	pkgconfig(evas)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(directfb)
BuildRequires:	pkgconfig(libgdiplus)
BuildRequires:	pkgconfig(libxine) < 1.1.90
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(xcb-util)

%description
Expedite Evas benchmark/test suite

%prep
%setup -qn %{name}

%build
NOCONFIGURE=1 ./autogen.sh
%configure2_5x \
	--enable-directfb \

%make

%install
rm -fr %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/applications/
cp -vf %{SOURCE1} %{buildroot}%{_datadir}/applications/

mkdir -p %{buildroot}{%{_liconsdir},%{_iconsdir},%{_miconsdir}}
install -m 644 data/e.png %{buildroot}%{_liconsdir}/%{name}.png
convert -resize 32x32 data/e.png %{buildroot}%{_iconsdir}/%{name}.png
convert -resize 16x16 data/e.png %{buildroot}%{_miconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/pixmaps
cp data/e.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

%files
%doc  AUTHORS COPYING* README
%{_bindir}/%{name}
%{_bindir}/expedite-cmp
%{_datadir}/%{name}
%{_liconsdir}/*.png
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/*



%changelog
* Thu Jan 12 2012 Matthew Dawkins <mattydaw@mandriva.org> 1.1.1-0.66195.1
+ Revision: 760225
- fixed BRs
- new version/snapshot 1.1.1.66195
- cleaned up spec
- merged with UnityLinux spec

* Sat Dec 18 2010 Funda Wang <fwang@mandriva.org> 0.7.2-1mdv2011.0
+ Revision: 622840
- new version 0.7.2

* Tue Nov 16 2010 Funda Wang <fwang@mandriva.org> 0.7.1-1mdv2011.0
+ Revision: 597999
- new version 0.7.1
- BR xrender
- new snapshot

* Sun Dec 13 2009 Funda Wang <fwang@mandriva.org> 0.6.0-8.20091130.1mdv2010.1
+ Revision: 478143
- bump rel
- New snapshot

* Sat Aug 08 2009 Funda Wang <fwang@mandriva.org> 0.6.0-8.20090808.1mdv2010.0
+ Revision: 411698
- renew tarball to build with latest evas

* Wed Jul 08 2009 Funda Wang <fwang@mandriva.org> 0.6.0-8.20090503.2mdv2010.0
+ Revision: 393395
- fix xcb
- rebuild

* Sun May 03 2009 Funda Wang <fwang@mandriva.org> 0.6.0-8.20090503.1mdv2010.0
+ Revision: 370871
- New snapshot

* Mon Mar 02 2009 Antoine Ginies <aginies@mandriva.com> 0.6.0-7mdv2009.1
+ Revision: 346965
- add missing binairies
- SVN SNAPSHOT 20090227, release 0.6.0

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sun Oct 19 2008 Funda Wang <fwang@mandriva.org> 0.6.0-6mdv2009.1
+ Revision: 295182
- simplify BR

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.6.0-5mdv2009.0
+ Revision: 266746
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun Jun 01 2008 Funda Wang <fwang@mandriva.org> 0.6.0-4mdv2009.0
+ Revision: 214080
- clean spec

  + Antoine Ginies <aginies@mandriva.com>
    - update buildrequires

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Thu May 31 2007 Antoine Ginies <aginies@mandriva.com> 0.6.0-3mdv2008.0
+ Revision: 33097
- fix expedite.desktop

* Wed May 30 2007 Antoine Ginies <aginies@mandriva.com> 0.6.0-2mdv2008.0
+ Revision: 32865
- rebuild to enable evas_gl

* Tue May 29 2007 Antoine Ginies <aginies@mandriva.com> 0.6.0-1mdv2008.0
+ Revision: 32581
- adjust buildrequires
- few adjustement to fix menu entry
- first release
- Import expedite

